Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/releases/1.4.9/configure

    r2982 r2985  
    10781078                          (implies --disable-shared)
    10791079  --enable-debug-mumps compile project Mumps with debug compiler flags
    1080 
    1081   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1080  --enable-doscompile     Under Cygwin, compile so that executables run under
     1081                          DOS. Set to mingw to use gcc/g++/ld with
     1082                          -mno-cygwin. Set to msvc to use cl/link (or
     1083                          icl/link). Default when mentioned: mingw. Default
     1084                          when not mentioned: disabled.
    10821085  --disable-pthread-mumps disable use of pthread library
    10831086  --enable-static[=PKGS]
     
    18851888
    18861889# Get the name of the C compiler
    1887 
    1888 
    1889   # for backward compatibility
    1890   # Check whether --enable-doscompile or --disable-doscompile was given.
    1891 if test "${enable_doscompile+set}" = set; then
    1892   enableval="$enable_doscompile"
    1893   enable_doscompile=$enableval
    1894 else
    1895   enable_doscompile=no
    1896 fi;
    1897 
    1898   # Check whether --enable-msvc or --disable-msvc was given.
    1899 if test "${enable_msvc+set}" = set; then
    1900   enableval="$enable_msvc"
    1901   enable_msvc=$enableval
    1902 else
    1903   enable_msvc=no
    1904      if test "$enable_doscompile" = msvc ; then
    1905        enable_msvc=yes
    1906      elif test "$enable_doscompile" != no ; then
    1907        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1908 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1909    { (exit 1); exit 1; }; }
    1910      fi
    1911 
    1912 fi;
    1913 
    1914   if test "$enable_msvc" = yes; then
    1915     case $build in
    1916       *-cygwin* | *-mingw*) ;;
    1917       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1918 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1919    { (exit 1); exit 1; }; } ;;
    1920     esac
    1921   fi
    1922 
    1923 
    1924  case $build in
     1890case $build in
    19251891  *-mingw*)
    19261892    if test "${LD+set}" = set; then :; else
     
    19291895    ;;
    19301896 esac
    1931  if test $enable_msvc = yes ; then
    1932    if test "x${LD+set}" = xset; then :; else
    1933      LD=link
     1897 case $enable_doscompile in
     1898   msvc)
     1899     if test "x${LD+set}" = xset; then :; else
     1900       LD=link
     1901     fi
     1902     ;;
     1903 esac
     1904
     1905
     1906 # Check whether --enable-doscompile or --disable-doscompile was given.
     1907if test "${enable_doscompile+set}" = set; then
     1908  enableval="$enable_doscompile"
     1909  if test "$enable_doscompile" != no; then
     1910     case $build in
     1911       *-cygwin* | *-mingw*) ;;
     1912       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1913echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1914   { (exit 1); exit 1; }; } ;;
     1915     esac
    19341916   fi
    1935  fi
     1917else
     1918  enable_doscompile=no
     1919fi;
     1920 case "$enable_doscompile" in
     1921   mingw)
     1922     case $build in
     1923       *-mingw*) enable_doscompile=no ;;
     1924     esac
     1925     ;;
     1926   msvc|no) ;;
     1927   yes) enable_doscompile=mingw ;;
     1928   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1929                    Try configure --help=recursive." >&5
     1930echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1931                    Try configure --help=recursive." >&2;}
     1932   { (exit 1); exit 1; }; }
     1933      ;;
     1934  esac
     1935  if test "$enable_doscompile" != no ; then
     1936    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1937echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1938  fi
    19361939
    19371940
     
    19761979case $build in
    19771980  *-cygwin* | *-mingw*)
    1978              if test "$enable_msvc" = yes ; then
    1979                comps="icl cl gcc"
     1981             if test "$enable_doscompile" = msvc ; then
     1982               comps="icl cl"
    19801983             else
    1981                comps="gcc icl cl"
     1984               comps="gcc cl"
    19821985             fi ;;
    19831986  *-*-solaris*)
     
    28322835            ;;
    28332836        esac
     2837        case $enable_doscompile in
     2838          mingw)
     2839            CFLAGS="-mno-cygwin"
     2840            cat >conftest.$ac_ext <<_ACEOF
     2841/* confdefs.h.  */
     2842_ACEOF
     2843cat confdefs.h >>conftest.$ac_ext
     2844cat >>conftest.$ac_ext <<_ACEOF
     2845/* end confdefs.h.  */
     2846
     2847int
     2848main ()
     2849{
     2850int i=0; i++;
     2851  ;
     2852  return 0;
     2853}
     2854_ACEOF
     2855rm -f conftest.$ac_objext conftest$ac_exeext
     2856if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2857  (eval $ac_link) 2>conftest.er1
     2858  ac_status=$?
     2859  grep -v '^ *+' conftest.er1 >conftest.err
     2860  rm -f conftest.er1
     2861  cat conftest.err >&5
     2862  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2863  (exit $ac_status); } &&
     2864         { ac_try='test -z "$ac_c_werror_flag"
     2865                         || test ! -s conftest.err'
     2866  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2867  (eval $ac_try) 2>&5
     2868  ac_status=$?
     2869  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2870  (exit $ac_status); }; } &&
     2871         { ac_try='test -s conftest$ac_exeext'
     2872  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2873  (eval $ac_try) 2>&5
     2874  ac_status=$?
     2875  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2876  (exit $ac_status); }; }; then
     2877  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2878else
     2879  echo "$as_me: failed program was:" >&5
     2880sed 's/^/| /' conftest.$ac_ext >&5
     2881
     2882fi
     2883rm -f conftest.err conftest.$ac_objext \
     2884      conftest$ac_exeext conftest.$ac_ext
     2885            CFLAGS=
     2886          ;;
     2887        esac
    28342888    esac
    28352889  fi
     
    31723226  clang* ) ;;
    31733227  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3174 
    3175  case $build in
     3228    case $build in
    31763229  *-mingw*)
    31773230    if test "${LD+set}" = set; then :; else
     
    31803233    ;;
    31813234 esac
    3182  if test $enable_msvc = yes ; then
    3183    if test "x${LD+set}" = xset; then :; else
    3184      LD=link
    3185    fi
    3186  fi
     3235 case $enable_doscompile in
     3236   msvc)
     3237     if test "x${LD+set}" = xset; then :; else
     3238       LD=link
     3239     fi
     3240     ;;
     3241 esac
    31873242
    31883243    ;;
     
    32003255case $build in
    32013256  *-cygwin* | *-mingw*)
    3202      if test "$enable_msvc" = yes ; then
    3203        coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
     3257     if test "$enable_doscompile" = msvc ; then
     3258       coin_f77_comps="ifort fl32 compile_f2c"
    32043259     else
    32053260       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34263481
    34273482# Provide some information about the compiler.
    3428 echo "$as_me:3428:" \
     3483echo "$as_me:3483:" \
    34293484     "checking for Fortran 77 compiler version" >&5
    34303485ac_compiler=`set X $ac_compile; echo $2`
     
    35953650    coin_add_fflags="-pipe"
    35963651    coin_dbg_fflags="-g -O0"
     3652    case $enable_doscompile in
     3653      mingw)
     3654        FFLAGS="-mno-cygwin"
     3655        cat >conftest.$ac_ext <<_ACEOF
     3656      program main
     3657      write(*,*) 'Hello world'
     3658      end
     3659_ACEOF
     3660rm -f conftest.$ac_objext conftest$ac_exeext
     3661if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3662  (eval $ac_link) 2>conftest.er1
     3663  ac_status=$?
     3664  grep -v '^ *+' conftest.er1 >conftest.err
     3665  rm -f conftest.er1
     3666  cat conftest.err >&5
     3667  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3668  (exit $ac_status); } &&
     3669         { ac_try='test -z "$ac_f77_werror_flag"
     3670                         || test ! -s conftest.err'
     3671  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3672  (eval $ac_try) 2>&5
     3673  ac_status=$?
     3674  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3675  (exit $ac_status); }; } &&
     3676         { ac_try='test -s conftest$ac_exeext'
     3677  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3678  (eval $ac_try) 2>&5
     3679  ac_status=$?
     3680  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3681  (exit $ac_status); }; }; then
     3682  coin_add_fflags="-mno-cygwin $coin_add_fflags"
     3683else
     3684  echo "$as_me: failed program was:" >&5
     3685sed 's/^/| /' conftest.$ac_ext >&5
     3686
     3687fi
     3688rm -f conftest.err conftest.$ac_objext \
     3689      conftest$ac_exeext conftest.$ac_ext
     3690        FFLAGS=
     3691      ;;
     3692    esac
    35973693  else
    35983694    case $build in
     
    38863982case "$F77" in
    38873983  ifort* | */ifort* | IFORT* | */IFORT*)
    3888 
    3889  case $build in
     3984    case $build in
    38903985  *-mingw*)
    38913986    if test "${LD+set}" = set; then :; else
     
    38943989    ;;
    38953990 esac
    3896  if test $enable_msvc = yes ; then
    3897    if test "x${LD+set}" = xset; then :; else
    3898      LD=link
    3899    fi
    3900  fi
     3991 case $enable_doscompile in
     3992   msvc)
     3993     if test "x${LD+set}" = xset; then :; else
     3994       LD=link
     3995     fi
     3996     ;;
     3997 esac
    39013998
    39023999    ;;
     
    39654062ac_save_FFLAGS=$FFLAGS
    39664063FFLAGS="$FFLAGS $ac_verb"
    3967 (eval echo $as_me:3967: \"$ac_link\") >&5
     4064(eval echo $as_me:4064: \"$ac_link\") >&5
    39684065ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39694066echo "$ac_f77_v_output" >&5
     
    40434140ac_save_FFLAGS=$FFLAGS
    40444141FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4045 (eval echo $as_me:4045: \"$ac_link\") >&5
     4142(eval echo $as_me:4142: \"$ac_link\") >&5
    40464143ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40474144echo "$ac_f77_v_output" >&5
     
    72197316*-*-irix6*)
    72207317  # Find out which ABI we are using.
    7221   echo '#line 7221 "configure"' > conftest.$ac_ext
     7318  echo '#line 7318 "configure"' > conftest.$ac_ext
    72227319  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    72237320  (eval $ac_compile) 2>&5
     
    92159312   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    92169313   -e 's:$: $lt_compiler_flag:'`
    9217    (eval echo "\"\$as_me:9217: $lt_compile\"" >&5)
     9314   (eval echo "\"\$as_me:9314: $lt_compile\"" >&5)
    92189315   (eval "$lt_compile" 2>conftest.err)
    92199316   ac_status=$?
    92209317   cat conftest.err >&5
    9221    echo "$as_me:9221: \$? = $ac_status" >&5
     9318   echo "$as_me:9318: \$? = $ac_status" >&5
    92229319   if (exit $ac_status) && test -s "$ac_outfile"; then
    92239320     # The compiler can only warn and ignore the option if not recognized
     
    94839580   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94849581   -e 's:$: $lt_compiler_flag:'`
    9485    (eval echo "\"\$as_me:9485: $lt_compile\"" >&5)
     9582   (eval echo "\"\$as_me:9582: $lt_compile\"" >&5)
    94869583   (eval "$lt_compile" 2>conftest.err)
    94879584   ac_status=$?
    94889585   cat conftest.err >&5
    9489    echo "$as_me:9489: \$? = $ac_status" >&5
     9586   echo "$as_me:9586: \$? = $ac_status" >&5
    94909587   if (exit $ac_status) && test -s "$ac_outfile"; then
    94919588     # The compiler can only warn and ignore the option if not recognized
     
    95879684   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95889685   -e 's:$: $lt_compiler_flag:'`
    9589    (eval echo "\"\$as_me:9589: $lt_compile\"" >&5)
     9686   (eval echo "\"\$as_me:9686: $lt_compile\"" >&5)
    95909687   (eval "$lt_compile" 2>out/conftest.err)
    95919688   ac_status=$?
    95929689   cat out/conftest.err >&5
    9593    echo "$as_me:9593: \$? = $ac_status" >&5
     9690   echo "$as_me:9690: \$? = $ac_status" >&5
    95949691   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    95959692   then
     
    1200412101  lt_status=$lt_dlunknown
    1200512102  cat > conftest.$ac_ext <<EOF
    12006 #line 12006 "configure"
     12103#line 12103 "configure"
    1200712104#include "confdefs.h"
    1200812105
     
    1210412201  lt_status=$lt_dlunknown
    1210512202  cat > conftest.$ac_ext <<EOF
    12106 #line 12106 "configure"
     12203#line 12203 "configure"
    1210712204#include "confdefs.h"
    1210812205
     
    1446414561   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1446514562   -e 's:$: $lt_compiler_flag:'`
    14466    (eval echo "\"\$as_me:14466: $lt_compile\"" >&5)
     14563   (eval echo "\"\$as_me:14563: $lt_compile\"" >&5)
    1446714564   (eval "$lt_compile" 2>conftest.err)
    1446814565   ac_status=$?
    1446914566   cat conftest.err >&5
    14470    echo "$as_me:14470: \$? = $ac_status" >&5
     14567   echo "$as_me:14567: \$? = $ac_status" >&5
    1447114568   if (exit $ac_status) && test -s "$ac_outfile"; then
    1447214569     # The compiler can only warn and ignore the option if not recognized
     
    1456814665   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1456914666   -e 's:$: $lt_compiler_flag:'`
    14570    (eval echo "\"\$as_me:14570: $lt_compile\"" >&5)
     14667   (eval echo "\"\$as_me:14667: $lt_compile\"" >&5)
    1457114668   (eval "$lt_compile" 2>out/conftest.err)
    1457214669   ac_status=$?
    1457314670   cat out/conftest.err >&5
    14574    echo "$as_me:14574: \$? = $ac_status" >&5
     14671   echo "$as_me:14671: \$? = $ac_status" >&5
    1457514672   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1457614673   then
     
    1613816235   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1613916236   -e 's:$: $lt_compiler_flag:'`
    16140    (eval echo "\"\$as_me:16140: $lt_compile\"" >&5)
     16237   (eval echo "\"\$as_me:16237: $lt_compile\"" >&5)
    1614116238   (eval "$lt_compile" 2>conftest.err)
    1614216239   ac_status=$?
    1614316240   cat conftest.err >&5
    16144    echo "$as_me:16144: \$? = $ac_status" >&5
     16241   echo "$as_me:16241: \$? = $ac_status" >&5
    1614516242   if (exit $ac_status) && test -s "$ac_outfile"; then
    1614616243     # The compiler can only warn and ignore the option if not recognized
     
    1624216339   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1624316340   -e 's:$: $lt_compiler_flag:'`
    16244    (eval echo "\"\$as_me:16244: $lt_compile\"" >&5)
     16341   (eval echo "\"\$as_me:16341: $lt_compile\"" >&5)
    1624516342   (eval "$lt_compile" 2>out/conftest.err)
    1624616343   ac_status=$?
    1624716344   cat out/conftest.err >&5
    16248    echo "$as_me:16248: \$? = $ac_status" >&5
     16345   echo "$as_me:16345: \$? = $ac_status" >&5
    1624916346   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1625016347   then
     
    1844918546   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1845018547   -e 's:$: $lt_compiler_flag:'`
    18451    (eval echo "\"\$as_me:18451: $lt_compile\"" >&5)
     18548   (eval echo "\"\$as_me:18548: $lt_compile\"" >&5)
    1845218549   (eval "$lt_compile" 2>conftest.err)
    1845318550   ac_status=$?
    1845418551   cat conftest.err >&5
    18455    echo "$as_me:18455: \$? = $ac_status" >&5
     18552   echo "$as_me:18552: \$? = $ac_status" >&5
    1845618553   if (exit $ac_status) && test -s "$ac_outfile"; then
    1845718554     # The compiler can only warn and ignore the option if not recognized
     
    1871718814   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1871818815   -e 's:$: $lt_compiler_flag:'`
    18719    (eval echo "\"\$as_me:18719: $lt_compile\"" >&5)
     18816   (eval echo "\"\$as_me:18816: $lt_compile\"" >&5)
    1872018817   (eval "$lt_compile" 2>conftest.err)
    1872118818   ac_status=$?
    1872218819   cat conftest.err >&5
    18723    echo "$as_me:18723: \$? = $ac_status" >&5
     18820   echo "$as_me:18820: \$? = $ac_status" >&5
    1872418821   if (exit $ac_status) && test -s "$ac_outfile"; then
    1872518822     # The compiler can only warn and ignore the option if not recognized
     
    1882118918   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1882218919   -e 's:$: $lt_compiler_flag:'`
    18823    (eval echo "\"\$as_me:18823: $lt_compile\"" >&5)
     18920   (eval echo "\"\$as_me:18920: $lt_compile\"" >&5)
    1882418921   (eval "$lt_compile" 2>out/conftest.err)
    1882518922   ac_status=$?
    1882618923   cat out/conftest.err >&5
    18827    echo "$as_me:18827: \$? = $ac_status" >&5
     18924   echo "$as_me:18924: \$? = $ac_status" >&5
    1882818925   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1882918926   then
     
    2236922466# Try to autodetect the library for blas based on build system
    2237022467  #AC_MSG_CHECKING([default locations for BLAS])
     22468  skip_lblas_check=no
    2237122469  case $build in
    2237222470    *-sgi-*)
     
    2317123269
    2317223270    *-cygwin* | *-mingw*)
     23271# On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
     23272# library will want to link with cygwin, hence won't run standalone in DOS.
     23273      if test "$enable_doscompile" = mingw; then
     23274        skip_lblas_check=yes
     23275      fi
    2317323276      case "$CC" in
    2317423277        clang* ) ;;
     
    2433424437  esac
    2433524438
    24336   if test -z "$use_blas" ; then
     24439  if test -z "$use_blas" && test $skip_lblas_check = no; then
    2433724440    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    2433824441echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    2591526018echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2591626019coin_link_input_cmd="$LN_S"
     26020if test "$enable_doscompile" = mingw; then
     26021  coin_link_input_cmd=cp
     26022fi
    2591726023case "$CC" in
    2591826024  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.